Bug 1000753 - [abrt] nemo-1.8.5-3.fc21: g_type_check_instance: Process /usr/bin/nemo was killed by signal 11 (SIGSEGV)
[abrt] nemo-1.8.5-3.fc21: g_type_check_instance: Process /usr/bin/nemo was ki...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nemo (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
abrt_hash:04fa93b526794f865baa7da91d4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 18:31 EDT by Moez Roy
Modified: 2015-06-29 08:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:18:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.49 KB, text/plain)
2013-08-24 18:31 EDT, Moez Roy
no flags Details
File: cgroup (159 bytes, text/plain)
2013-08-24 18:31 EDT, Moez Roy
no flags Details
File: core_backtrace (25.47 KB, text/plain)
2013-08-24 18:31 EDT, Moez Roy
no flags Details
File: dso_list (9.16 KB, text/plain)
2013-08-24 18:31 EDT, Moez Roy
no flags Details
File: environ (932 bytes, text/plain)
2013-08-24 18:31 EDT, Moez Roy
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-24 18:31 EDT, Moez Roy
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-24 18:31 EDT, Moez Roy
no flags Details
File: maps (48.10 KB, text/plain)
2013-08-24 18:31 EDT, Moez Roy
no flags Details
File: open_fds (2.86 KB, text/plain)
2013-08-24 18:31 EDT, Moez Roy
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2013-08-24 18:31 EDT, Moez Roy
no flags Details
File: var_log_messages (421 bytes, text/plain)
2013-08-24 18:31 EDT, Moez Roy
no flags Details

  None (edit)
Description Moez Roy 2013-08-24 18:31:01 EDT
Version-Release number of selected component:
nemo-1.8.5-3.fc21

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        nemo
crash_function: g_type_check_instance
executable:     /usr/bin/nemo
kernel:         3.11.0-0.rc6.git4.1.fc21.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance at gtype.c:4082
 #1 g_signal_handler_disconnect at gsignal.c:2580
 #2 nemo_trash_bar_finalize at nemo-trash-bar.c:109
 #4 gtk_box_forall at gtkbox.c:2096
 #5 gtk_container_destroy at gtkcontainer.c:1403
 #10 gtk_widget_dispose at gtkwidget.c:11254
 #12 gtk_box_forall at gtkbox.c:2096
 #13 gtk_container_destroy at gtkcontainer.c:1403
 #18 gtk_widget_dispose at gtkwidget.c:11254
 #20 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:1316
Comment 1 Moez Roy 2013-08-24 18:31:04 EDT
Created attachment 789949 [details]
File: backtrace
Comment 2 Moez Roy 2013-08-24 18:31:07 EDT
Created attachment 789950 [details]
File: cgroup
Comment 3 Moez Roy 2013-08-24 18:31:10 EDT
Created attachment 789951 [details]
File: core_backtrace
Comment 4 Moez Roy 2013-08-24 18:31:12 EDT
Created attachment 789952 [details]
File: dso_list
Comment 5 Moez Roy 2013-08-24 18:31:15 EDT
Created attachment 789953 [details]
File: environ
Comment 6 Moez Roy 2013-08-24 18:31:17 EDT
Created attachment 789954 [details]
File: exploitable
Comment 7 Moez Roy 2013-08-24 18:31:20 EDT
Created attachment 789955 [details]
File: limits
Comment 8 Moez Roy 2013-08-24 18:31:22 EDT
Created attachment 789956 [details]
File: maps
Comment 9 Moez Roy 2013-08-24 18:31:25 EDT
Created attachment 789957 [details]
File: open_fds
Comment 10 Moez Roy 2013-08-24 18:31:27 EDT
Created attachment 789958 [details]
File: proc_pid_status
Comment 11 Moez Roy 2013-08-24 18:31:30 EDT
Created attachment 789959 [details]
File: var_log_messages
Comment 12 leigh scott 2013-08-24 18:57:38 EDT
nemo-1.8.6-0.3.git9d08c6c.fc21 should fix this IMO as the code was removed.

https://github.com/linuxmint/nemo/commit/505a37af3b0ce561bdae5c0024d5ca5630118c01
Comment 13 Fedora End Of Life 2015-05-29 05:20:46 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-06-29 08:18:17 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.